<template>
            <div class="d-md-flex align-items-center flex-wrap justify-content-center mt-4 p-3 pb-3 contenedorPrincipal">
                        <label class="form-label">Solicitante:</label>
                        <auto-complete  style="position: relative; top:-5px" class=" p-1 me-2" v-model="data.solicitante" :elements="usuarioStore.listadoSolicitantes"
                            placeholder="Solicitante" :minLength="3" :disabled="false" />
                        <label class="form-label">Usuario:</label>
                        <auto-complete  style="position: relative; top:-5px" class=" p-1 me-2" v-model="data.usuario" :elements="usuarioStore.listadoUsuarios" placeholder="Usuario"
                            :minLength="3" :disabled="false" />
                        <label class="form-label">Bloque:</label>
                        <auto-complete  style="position: relative; top:-5px" class=" p-1 me-2" v-model="data.bloque" :elements="usuarioStore.listadoBloques" placeholder="Bloques"
                            :minLength="3" :disabled="false" />
               
                <button type="button" class="mx-5 btn btn-principal px-2" @click="BusquedaUsuarios()">
                    <i class="bi bi-search"></i>
                </button> 
            </div>  
</template>

<!-- <script lang="ts">
//librerias
import { reactive } from "vue";
import { useRouter } from "vue-router";
import { loading } from "@/shared.js";
import { AutoComplete } from "@hcd-bsas/vue3-components";
// Entities
import type Solicitante from "@/entities/Solicitante";
import type Usuario from "@/entities/Usuario";
import type Bloque from "@/entities/Bloque";
// Stores
import { useUsuariosStore } from "@/stores/usuarios";
export default {
    components: { AutoComplete },
    setup() {
        const usuarioStore = useUsuariosStore();
        const router = useRouter();

        var data = reactive({
            solicitante: null as Solicitante | null,
            usuario: null as Usuario | null,
            bloque: null as Bloque | null,
            //isLoading: true,
        });
        return {
            data,
            router,
            usuarioStore
        };
    },
    async mounted() {
        loading.show();
        console.log(import.meta.env.VITE_ID_APP);
        //aca hay que cargar los select para los autocompletar
        await Promise.all([
            this.usuarioStore.updateListadoSolicitantes(),
            this.usuarioStore.updateListadoUsuarios(import.meta.env.VITE_ID_APP),
            this.usuarioStore.updateListadoBloques(),
            this.usuarioStore.updateListadoUsuariosHabilitados(),
            this.usuarioStore.updateListadoUsuariosSolicitantes(),
        ]);
        /*  await this.usuarioStore.updateListadoSolicitantes();
          await this.usuarioStore.updateListadoUsuarios();
          await this.usuarioStore.updateListadoBloques();
          await this.usuarioStore.updateListadoUsuariosHabilitados();*/
        loading.hide();
    },
    methods: {
        async BusquedaUsuarios() {
            loading.show();
            await this.usuarioStore.updateListadoUsuariosHabilitados({
                solicitante: this.data.solicitante?.id_solicitante,
                usuario: this.data.usuario?.id_usuario,
                bloque: this.data.bloque?.id_dependen,
            });
            loading.hide();
        },
    },
};
</script> -->

<script setup lang="ts">
//librerias
import { reactive, onMounted } from "vue";
import { useRouter } from "vue-router";
import { loading } from "@/shared.js";
import { AutoComplete } from "@hcd-bsas/vue3-components";
// Entities
import type Solicitante from "@/entities/Solicitante";
import type Usuario from "@/entities/Usuario";
import type Bloque from "@/entities/Bloque";
// Stores
import { useUsuariosStore } from "@/stores/usuarios";

const usuarioStore = useUsuariosStore();
const router = useRouter();

var data = reactive({
    solicitante: null as Solicitante | null,
    usuario: null as Usuario | null,
    bloque: null as Bloque | null,

});

async function BusquedaUsuarios() {
    loading.show();
    await usuarioStore.updateListadoUsuariosHabilitados({
        solicitante: data.solicitante?.id_solicitante,
        usuario: data.usuario?.id_usuario,
        bloque: data.bloque?.id_dependen,
    });
    loading.hide();
}

onMounted(async () => {

    loading.show();
    //aca hay que cargar los select para los autocompletar
    await Promise.all([
        usuarioStore.updateListadoSolicitantes(),
        usuarioStore.updateListadoUsuarios(import.meta.env.VITE_ID_APP),
        usuarioStore.updateListadoBloques(),
        usuarioStore.updateListadoUsuariosHabilitados(),
        usuarioStore.updateListadoUsuariosSolicitantes(),
    ]);

    loading.hide();



});




</script>

  <!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped></style>
